Skip to main content
GET
/
api
/
v1
/
recommendations
Recomendações personalizadas
curl --request GET \
  --url https://services.staging.app.dados.rio/catalogo/api/v1/recommendations \
  --header 'Authorization: <api-key>'
{
  "context": "homepage",
  "items": [
    {
      "bairros": [
        "<string>"
      ],
      "id": "<string>",
      "image_url": "<string>",
      "modalidade": "<string>",
      "organization": "<string>",
      "score": 123,
      "score_breakdown": {},
      "short_desc": "<string>",
      "source": "salesforce",
      "tags": [
        "<string>"
      ],
      "title": "<string>",
      "type": "service",
      "url": "<string>"
    }
  ],
  "personalized": true
}

Authorizations

Authorization
string
header
required

JWT injetado pelo Istio via header X-Auth-Request-Token

Query Parameters

types
string[]

Tipos: service, course, job, mei_opportunity

limit
integer

Máximo de itens, max 50 (default: 10)

context
string

Contexto: homepage, after_search, profile

Response

OK

context
enum<string>
Available options:
homepage,
after_search,
profile
items
object[]
personalized
boolean